function A = create_trid(n,a,b,c)
% crear matriz tridiagonal de tamanno n 
% todos los elementos sobre diagonal principal son
% iguales a a
% los elementos en diagonal encima de diagonal principal
% son iguales a b
% elementos debajo de diagonal principal son iguales a c
A = diag(a*ones(n,1)) + diag(b*ones(n-1,1),1) + diag(c*ones(n-1,1),-1);